мир.ресурсы = {
    изображения: {
        основа: "р/отладка/основа.jpg",
        линия: "р/отладка/линия_вертикальная.png",
        изба: "р/сцены/изба.jpg",
        молоко: "р/вещи/банка_молока.png",
        лужа: "р/вещи/лужа.png",
        паук: "р/животные/паук.png",
        мышь: "р/животные/мышь.png",
        самовар: "р/вещи/самовар.png",
        стрела: "р/вещи/стрела.png",
        окноРазбито: "р/вещи/окно_разбитая-часть.png",
        окноСломано: "р/вещи/окно_дыра.png",
        крышкаПодпола: "р/вещи/крышка-подпола.png",
    },
    спрайты: {
        колобок: {
            текстура: "р/колобок/колобок.png",
            ширина: 97,
            высота: 94,
        },
    },
    звуки: {
        двор: "р/звуки/555803__ddmyzik__sunset-loop.wav",
        прыжок: "р/звуки/331381__qubodup__public-domain-jump-sound.wav",
        повреждение: "р/звуки/437650__dersuperanton__getting-hit-damage-scream.wav",
    },
};

мир.настройки.scene.preload = function()
{
    const изо = мир.ресурсы.изображения;
    if (изо)
    {
        for (имя in изо)
        {
            this.load.image(имя, изо[имя]);
        }
    }

    const сп = мир.ресурсы.спрайты;
    if (сп)
    {
        for (имя in сп)
        {
            var настройки = frameConfig(сп[имя]);
            this.load.spritesheet(имя, сп[имя].текстура, настройки);
        }
    }

    const звуки = мир.ресурсы.звуки;
    if (звуки)
    {
        for (имя in звуки)
        {
            this.load.audio(имя, звуки[имя]);
        }
    }
};

function frameConfig(описание)
{
    return {
        frameWidth: описание.ширина,
        frameHeight: описание.высота,
    };
}
